Index: BOL/Multi_atlas/atlas/climaf.log
===================================================================
--- BOL/Multi_atlas/atlas/climaf.log	(revision 3684)
+++ BOL/Multi_atlas/atlas/climaf.log	(revision 3696)
@@ -2,18 +2,18 @@
 error    : 'defining curves : command ncl is not executable'
 warning  : Binary cdftools not found. Some operators won't work
-	info     : Object found in cache: space_average(regrid(time_average(ds('SE|LmdzOrAPctrl|tas|fx|global|seasonnal|1980_1999|/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc'))) is at /prodigfs/ipslfs/dods/aidelkad/climafCache/2e809/60ca4/a6900/3416f/9cbdd/51dd6/f851e.nc:  
-	info     : Object found in cache: space_average(regrid(time_average(ds('OBS.N/A.tas.fx.global./prodigfs/ipslfs/dods/fabric/lmdz/SE/CMOR/OBS')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc'))) is at /prodigfs/ipslfs/dods/aidelkad/climafCache/e8033/04eea/4414d/3e659/92372/d8f56/8f4a3.nc:  
-	info     : Object found in cache: space_average(minus(regrid(time_average(ds('SE|LmdzOrAPctrl|tas|fx|global|seasonnal|1980_1999|/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc')),regrid(time_average(ds('OBS.N/A.tas.fx.global./prodigfs/ipslfs/dods/fabric/lmdz/SE/CMOR/OBS')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc')))) is at /prodigfs/ipslfs/dods/aidelkad/climafCache/4433d/70850/eded1/fd7de/a5106/2fd6f/05d22.nc:  
-	info     : Object found in cache: space_average(ccdo(minus(regrid(time_average(ds('SE|LmdzOrAPctrl|tas|fx|global|seasonnal|1980_1999|/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc')),regrid(time_average(ds('OBS.N/A.tas.fx.global./prodigfs/ipslfs/dods/fabric/lmdz/SE/CMOR/OBS')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc'))),operator='-b F64 sqr')) is at /prodigfs/ipslfs/dods/aidelkad/climafCache/129ad/2ce03/97707/5194b/0589a/c2867/806cb.nc:  
-		info     : nothing relevant found in cache for plot(regrid(time_average(ds('SE|LmdzOrAPctrl|tas|fx|global|seasonnal|1980_1999|/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc')),color='BlueWhiteOrangeRed',colors='-60 -50 -40 -35 -30 -25 -20 -15 -10 -6 0 6 10 14 18 22 26 24 27 28 30',contours=1,gsnCenterString='LmdzOrAPctrl_1980_1999',gsnLeftString='tas',gsnRightString='YEAR',gsnStringFontHeightF=0.018,mpCenterLonF=0,offset=-273.15,title='',units='degC')
-			info     : Object found in cache: regrid(time_average(ds('SE|LmdzOrAPctrl|tas|fx|global|seasonnal|1980_1999|/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc')) is at /prodigfs/ipslfs/dods/aidelkad/climafCache/ee57e/55c6b/5594a/71b45/63421/060ae/a87a5.nc:  
-		info     : Launching command:(ncl -Q /home/fabric/users/denvil/climaf/climaf/../scripts/gplot.ncl main_file='"/prodigfs/ipslfs/dods/aidelkad/climafCache/ee57e/55c6b/5594a/71b45/63421/060ae/a87a5.nc"'     plotname='"/prodigfs/ipslfs/dods/aidelkad/climafCache/df7a1/f9fb2/369d2/40fb7/acc48/81558/26fd8.png"' cmap='"BlueWhiteOrangeRed"'    main_var='"tas"'    title='""'  myoffset=-273.15 mpCenterLonF=0      units='"degC"'  colors='"-60 -50 -40 -35 -30 -25 -20 -15 -10 -6 0 6 10 14 18 22 26 24 27 28 30"'    contours='"1"'                 gsnLeftString='"tas"' gsnRightString='"YEAR"' gsnCenterString='"LmdzOrAPctrl_1980_1999"'  gsnStringFontHeightF=0.018      )
+	info     : Object found in cache: space_average(regrid(time_average(ds('SE|LmdzOrAPctrl|pr|fx|global|seasonnal|1980_1999|/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc'))) is at /prodigfs/ipslfs/dods/aidelkad/climafCache/bf4b6/7e35d/350bc/75bbe/78ff9/be6a6/37533.nc:  
+	info     : Object found in cache: space_average(regrid(time_average(ds('OBS.N/A.pr.fx.global./prodigfs/ipslfs/dods/fabric/lmdz/SE/CMOR/OBS')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc'))) is at /prodigfs/ipslfs/dods/aidelkad/climafCache/4b0ec/401a8/6ffc4/41cc0/06646/0f9f8/0faf3.nc:  
+	info     : Object found in cache: space_average(minus(regrid(time_average(ds('SE|LmdzOrAPctrl|pr|fx|global|seasonnal|1980_1999|/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc')),regrid(time_average(ds('OBS.N/A.pr.fx.global./prodigfs/ipslfs/dods/fabric/lmdz/SE/CMOR/OBS')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc')))) is at /prodigfs/ipslfs/dods/aidelkad/climafCache/2913a/98e70/28754/2429b/5a29a/e709e/d6ade.nc:  
+	info     : Object found in cache: space_average(ccdo(minus(regrid(time_average(ds('SE|LmdzOrAPctrl|pr|fx|global|seasonnal|1980_1999|/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc')),regrid(time_average(ds('OBS.N/A.pr.fx.global./prodigfs/ipslfs/dods/fabric/lmdz/SE/CMOR/OBS')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc'))),operator='-b F64 sqr')) is at /prodigfs/ipslfs/dods/aidelkad/climafCache/8a82c/45e2b/16097/d9e4f/79406/5def7/aca4d.nc:  
+		info     : nothing relevant found in cache for plot(regrid(time_average(ds('SE|LmdzOrAPctrl|pr|fx|global|seasonnal|1980_1999|/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc')),color='precip_11lev',colors='0.5 1 2 3 4 6 8 10 12 14',contours=1,gsnCenterString='LmdzOrAPctrl_1980_1999',gsnLeftString='pr',gsnRightString='YEAR',gsnStringFontHeightF=0.018,mpCenterLonF=0,scale=86400.0,title='')
+			info     : Object found in cache: regrid(time_average(ds('SE|LmdzOrAPctrl|pr|fx|global|seasonnal|1980_1999|/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG')),ds('file|VLR|hurs|fx|global|no_model|/data/ssenesi/stable/VLR.nc')) is at /prodigfs/ipslfs/dods/aidelkad/climafCache/c73b8/3bbce/0a42b/9cdec/3ea7c/75037/4de99.nc:  
+		info     : Launching command:(ncl -Q /home/fabric/users/denvil/climaf/climaf/../scripts/gplot.ncl main_file='"/prodigfs/ipslfs/dods/aidelkad/climafCache/c73b8/3bbce/0a42b/9cdec/3ea7c/75037/4de99.nc"'     plotname='"/prodigfs/ipslfs/dods/aidelkad/climafCache/f800c/d889b/aeec8/05e64/53b4f/71339/3c8e8.png"' cmap='"precip_11lev"'    main_var='"pr"'    title='""' myscale=86400.0  mpCenterLonF=0        colors='"0.5 1 2 3 4 6 8 10 12 14"'    contours='"1"'                 gsnLeftString='"pr"' gsnRightString='"YEAR"' gsnCenterString='"LmdzOrAPctrl_1980_1999"'  gsnStringFontHeightF=0.018      )
 		error    : Last lines of script output:
 
 
 stdout and stderr of script call :
-	 (ncl -Q /home/fabric/users/denvil/climaf/climaf/../scripts/gplot.ncl main_file='"/prodigfs/ipslfs/dods/aidelkad/climafCache/ee57e/55c6b/5594a/71b45/63421/060ae/a87a5.nc"'     plotname='"/prodigfs/ipslfs/dods/aidelkad/climafCache/df7a1/f9fb2/369d2/40fb7/acc48/81558/26fd8.png"' cmap='"BlueWhiteOrangeRed"'    main_var='"tas"'    title='""'  myoffset=-273.15 mpCenterLonF=0      units='"degC"'  colors='"-60 -50 -40 -35 -30 -25 -20 -15 -10 -6 0 6 10 14 18 22 26 24 27 28 30"'    contours='"1"'                 gsnLeftString='"tas"' gsnRightString='"YEAR"' gsnCenterString='"LmdzOrAPctrl_1980_1999"'  gsnStringFontHeightF=0.018      )
+	 (ncl -Q /home/fabric/users/denvil/climaf/climaf/../scripts/gplot.ncl main_file='"/prodigfs/ipslfs/dods/aidelkad/climafCache/c73b8/3bbce/0a42b/9cdec/3ea7c/75037/4de99.nc"'     plotname='"/prodigfs/ipslfs/dods/aidelkad/climafCache/f800c/d889b/aeec8/05e64/53b4f/71339/3c8e8.png"' cmap='"precip_11lev"'    main_var='"pr"'    title='""' myscale=86400.0  mpCenterLonF=0        colors='"0.5 1 2 3 4 6 8 10 12 14"'    contours='"1"'                 gsnLeftString='"pr"' gsnRightString='"YEAR"' gsnCenterString='"LmdzOrAPctrl_1980_1999"'  gsnStringFontHeightF=0.018      )
 
 /bin/sh: ncl : commande introuvable
 
-		error    : 'Script failure for : (ncl -Q /home/fabric/users/denvil/climaf/climaf/../scripts/gplot.ncl main_file=\'"/prodigfs/ipslfs/dods/aidelkad/climafCache/ee57e/55c6b/5594a/71b45/63421/060ae/a87a5.nc"\'     plotname=\'"/prodigfs/ipslfs/dods/aidelkad/climafCache/df7a1/f9fb2/369d2/40fb7/acc48/81558/26fd8.png"\' cmap=\'"BlueWhiteOrangeRed"\'    main_var=\'"tas"\'    title=\'""\'  myoffset=-273.15 mpCenterLonF=0      units=\'"degC"\'  colors=\'"-60 -50 -40 -35 -30 -25 -20 -15 -10 -6 0 6 10 14 18 22 26 24 27 28 30"\'    contours=\'"1"\'                 gsnLeftString=\'"tas"\' gsnRightString=\'"YEAR"\' gsnCenterString=\'"LmdzOrAPctrl_1980_1999"\'  gsnStringFontHeightF=0.018      ). More details either in file ./last.out or by re-runing with clog("debug")'
+		error    : 'Script failure for : (ncl -Q /home/fabric/users/denvil/climaf/climaf/../scripts/gplot.ncl main_file=\'"/prodigfs/ipslfs/dods/aidelkad/climafCache/c73b8/3bbce/0a42b/9cdec/3ea7c/75037/4de99.nc"\'     plotname=\'"/prodigfs/ipslfs/dods/aidelkad/climafCache/f800c/d889b/aeec8/05e64/53b4f/71339/3c8e8.png"\' cmap=\'"precip_11lev"\'    main_var=\'"pr"\'    title=\'""\' myscale=86400.0  mpCenterLonF=0        colors=\'"0.5 1 2 3 4 6 8 10 12 14"\'    contours=\'"1"\'                 gsnLeftString=\'"pr"\' gsnRightString=\'"YEAR"\' gsnCenterString=\'"LmdzOrAPctrl_1980_1999"\'  gsnStringFontHeightF=0.018      ). More details either in file ./last.out or by re-runing with clog("debug")'