Index: LMDZ6/branches/Ocean_skin/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/pbl_surface_mod.F90	(revision 3687)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/pbl_surface_mod.F90	(revision 3719)
@@ -293,5 +293,5 @@
     USE ioipsl_getin_p_mod, ONLY : getin_p
     use phys_state_var_mod, only: s_int, ds_ns, dt_ns
-    use phys_output_var_mod, only: t_int, dter, dser, tkt, tks, taur
+    use phys_output_var_mod, only: sst_nff, dter, dser, tkt, tks, taur
 #ifdef CPP_XIOS
     USE wxios, ONLY: missing_val
@@ -830,7 +830,7 @@
     ! Martin
 
-    real, DIMENSION(klon):: yt_int, ys_int, yds_ns, ydt_ns, ydter, ydser, &
+    real, DIMENSION(klon):: ysst_nff, ys_int, yds_ns, ydt_ns, ydter, ydser, &
          ytkt, ytks, ytaur
-    ! compression of t_int, s_int, ds_ns, dt_ns, dter, dser, tkt, tks,
+    ! compression of sst_nff, s_int, ds_ns, dt_ns, dter, dser, tkt, tks,
     ! taur on ocean points
 
@@ -1954,5 +1954,5 @@
                yz0m, yz0h, SFRWL,yalb_dir_new, yalb_dif_new, yevap, yfluxsens,yfluxlat,&
                ytsurf_new, y_dflux_t, y_dflux_q, slab_wfbils, &
-               y_flux_u1, y_flux_v1, yt_int(:knon), ys_int(:knon), &
+               y_flux_u1, y_flux_v1, ysst_nff(:knon), ys_int(:knon), &
                yds_ns(:knon), ydt_ns(:knon), ydter(:knon), ydser(:knon), &
                ytkt(:knon), ytks(:knon), ytaur(:knon))
@@ -2564,5 +2564,5 @@
           ds_ns = missing_val
           dt_ns = missing_val
-          t_int = missing_val
+          sst_nff = missing_val
           dter = missing_val
           dser = missing_val
@@ -2574,5 +2574,5 @@
           ds_ns(ni(:knon)) = yds_ns(:knon)
           dt_ns(ni(:knon)) = ydt_ns(:knon)
-          t_int(ni(:knon)) = yt_int(:knon)
+          sst_nff(ni(:knon)) = ysst_nff(:knon)
           dter(ni(:knon)) = ydter(:knon)
           dser(ni(:knon)) = ydser(:knon)
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3687)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3719)
@@ -1947,7 +1947,7 @@
 #endif
 
-   type(ctrl_out), save:: o_t_int &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'T_int', &
-        "ocean-air interface temperature", "K", '')
+   type(ctrl_out), save:: o_sst_nff &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'SST_nff', &
+        "SST not used to compute fluxes", "K", '')
 
    type(ctrl_out), save:: o_s_int &
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_var_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_var_mod.F90	(revision 3687)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_var_mod.F90	(revision 3719)
@@ -135,5 +135,9 @@
   ! Ocean-atmosphere interface, subskin ocean and near-surface ocean:
   
-  REAL, ALLOCATABLE, SAVE:: t_int(:) ! interface temperature, in K
+  REAL, ALLOCATABLE, SAVE:: sst_nff(:)
+  ! SST not used to compute surface fluxes, in K. If
+  ! activate_ocean_skin == 0 then it is not allocated; if
+  ! activate_ocean_skin == 1 then it is the ocean-air interface
+  ! temperature; if activate_ocean_skin == 2 then it is the bulk SST.
 
   REAL, ALLOCATABLE, SAVE:: dter(:)
@@ -155,5 +159,5 @@
   ! momentum flux due to rain, in Pa
   
-  !$OMP THREADPRIVATE(t_int, dter, dser, tkt, tks, taur)
+  !$OMP THREADPRIVATE(sst_nff, dter, dser, tkt, tks, taur)
 
 CONTAINS
@@ -216,5 +220,5 @@
     IF (ok_gwd_rando) allocate(zustr_gwd_rando(klon), zvstr_gwd_rando(klon))
 
-    if (activate_ocean_skin >= 1) allocate(t_int(klon), dter(klon), &
+    if (activate_ocean_skin >= 1) allocate(sst_nff(klon), dter(klon), &
          dser(klon), tkt(klon), tks(klon), taur(klon))
 
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_write_mod.F90	(revision 3687)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_write_mod.F90	(revision 3719)
@@ -202,5 +202,5 @@
 !--interactive CO2
          o_flx_co2_ocean, o_flx_co2_land, o_flx_co2_ff, o_flx_co2_bb, &
-         o_t_int, o_s_int, o_ds_ns, o_dt_ns, o_dter, o_dser, o_tkt, o_tks, &
+         o_sst_nff, o_s_int, o_ds_ns, o_dt_ns, o_dter, o_dser, o_tkt, o_tks, &
          o_taur
 
@@ -360,5 +360,5 @@
          alt_tropo, &
 !Ionela
-         ok_4xCO2atm, t_int, dter, dser, tkt, tks, taur
+         ok_4xCO2atm, sst_nff, dter, dser, tkt, tks, taur
 
     USE ocean_slab_mod, ONLY: nslay, tslab, slab_bilg, tice, seaice, &
@@ -2304,8 +2304,5 @@
 
        if (activate_ocean_skin >= 1) then
-          if (activate_ocean_skin == 1) CALL histwrite_phy(o_t_int, t_int)
-          ! (no need to duplicate with netCDF variable "tsol_oce" if
-          ! activate_ocean_skin == 2)
-          
+          CALL histwrite_phy(o_sst_nff, sst_nff)
           CALL histwrite_phy(o_s_int, s_int)
           CALL histwrite_phy(o_ds_ns, ds_ns)
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/surf_ocean_mod.F90	(revision 3687)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/surf_ocean_mod.F90	(revision 3719)
@@ -20,5 +20,5 @@
        z0m, z0h, SFRWL, alb_dir_new, alb_dif_new, evap, fluxsens, fluxlat, & 
        tsurf_new, dflux_s, dflux_l, lmt_bils, &
-       flux_u1, flux_v1, t_int, s_int, ds_ns, dt_ns, dter, dser, tkt, tks, taur)
+       flux_u1, flux_v1, sst_nff, s_int, ds_ns, dt_ns, dter, dser, tkt, tks, taur)
 
     use albedo, only: alboc, alboc_cd
@@ -102,5 +102,9 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: flux_u1, flux_v1
 
-    REAL, intent(out):: t_int(:) ! (knon) ocean-air interface temperature, in K
+    REAL, intent(out):: sst_nff(:) ! (knon)
+    ! SST not used to compute surface fluxes, in K. If
+    ! activate_ocean_skin == 0 then it is not defined; if
+    ! activate_ocean_skin == 1 then it is the ocean-air interface
+    ! temperature; if activate_ocean_skin == 2 then it is the bulk SST.
 
     REAL, intent(out):: dter(:) ! (knon)
@@ -140,5 +144,6 @@
     ! size klon because of the coupling machinery.)
 
-    ! End definition
+    REAL t_int(knon) ! ocean-air interface temperature, in K
+
     !******************************************************************************
 
@@ -321,5 +326,12 @@
             xlv = [(rlvtt, i = 1, knon)], rf = - sens_prec_liq, dtime = dtime, &
             rns = swnet(:knon))
-       if (activate_ocean_skin == 2) tsurf_new(:knon) = t_int
+
+       if (activate_ocean_skin == 1) then
+          sst_nff = t_int
+       else
+          ! activate_ocean_skin == 2
+          sst_nff = tsurf_new(:knon)
+          tsurf_new(:knon) = t_int
+       end if
     end if
     