Index: BOL/Multi_atlas/atlas/atlas.py
===================================================================
--- BOL/Multi_atlas/atlas/atlas.py	(revision 3737)
+++ BOL/Multi_atlas/atlas/atlas.py	(revision 3743)
@@ -14,5 +14,5 @@
 #dir_default='/data/hourdin/LMDZ6/SE/ORIG'
 #dir_default='/prodigfs/fabric/LMDZ6/SE/ORIG'
-dir_default='/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG'
+#dir_default='/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG'
 
 # Gestion des options et arguments d'appel
Index: BOL/Multi_atlas/atlas/atlas.sh
===================================================================
--- BOL/Multi_atlas/atlas/atlas.sh	(revision 3737)
+++ BOL/Multi_atlas/atlas/atlas.sh	(revision 3743)
@@ -1,107 +1,2 @@
-#PBS -N atlas
-#PBS -m a
-#PBS -j oe
-#PBS -q h12
-#PBS -o atlasNOMSIMULATION.out
-#PBS -S /bin/bash
-#PBS -l nodes=1:ppn=1
-#PBS -l mem=30gb
-#PBS -l vmem=30gb
-#
-# Commande pour soumettre en bash
-submit=qsub
-
-login=aidelkad
-DODSDIR=/prodigfs/ipslfs/dods
-#PBS -N atlas
-#PBS -m a
-#PBS -j oe
-#PBS -q h12
-#PBS -o atlasNOMSIMULATION.out
-#PBS -S /bin/bash
-#PBS -l nodes=1:ppn=1
-#PBS -l mem=30gb
-#PBS -l vmem=30gb
-#
-# Commande pour soumettre en bash
-submit=qsub
-
-login=aidelkad
-DODSDIR=/modfs/ipslfs/dods
-#PBS -N atlas
-#PBS -m a
-#PBS -j oe
-#PBS -q h12
-#PBS -o atlasNOMSIMULATION.out
-#PBS -S /bin/bash
-#PBS -l nodes=1:ppn=1
-#PBS -l mem=30gb
-#PBS -l vmem=30gb
-#
-# Commande pour soumettre en bash
-submit=qsub
-
-login=aidelkad
-DODSDIR=/modfs/ipslfs/dods
-#PBS -N atlas
-#PBS -m a
-#PBS -j oe
-#PBS -q h12
-#PBS -o atlasNOMSIMULATION.out
-#PBS -S /bin/bash
-#PBS -l nodes=1:ppn=1
-#PBS -l mem=30gb
-#PBS -l vmem=30gb
-#
-# Commande pour soumettre en bash
-submit=qsub
-
-login=aidelkad
-DODSDIR=/modfs/ipslfs/dods
-#PBS -N atlas
-#PBS -m a
-#PBS -j oe
-#PBS -q h12
-#PBS -o atlasNOMSIMULATION.out
-#PBS -S /bin/bash
-#PBS -l nodes=1:ppn=1
-#PBS -l mem=30gb
-#PBS -l vmem=30gb
-#
-# Commande pour soumettre en bash
-submit=qsub
-
-login=aidelkad
-DODSDIR=/modfs/ipslfs/dods
-#PBS -N atlas
-#PBS -m a
-#PBS -j oe
-#PBS -q h12
-#PBS -o atlasNOMSIMULATION.out
-#PBS -S /bin/bash
-#PBS -l nodes=1:ppn=1
-#PBS -l mem=30gb
-#PBS -l vmem=30gb
-#
-# Commande pour soumettre en bash
-submit=qsub
-
-login=aidelkad
-DODSDIR=/modfs/ipslfs/dods
-#PBS -N atlas
-#PBS -m a
-#PBS -j oe
-#PBS -q h12
-#PBS -o atlasNOMSIMULATION.out
-#PBS -S /bin/bash
-#PBS -l nodes=1:ppn=1
-#PBS -l mem=30gb
-#PBS -l vmem=30gb
-#
-# Commande pour soumettre en bash
-submit=qsub
-
-login=aidelkad
-DODSDIR=/modfs/ipslfs/dods
 #PBS -N atlas
 #PBS -m a
Index: BOL/Multi_atlas/atlas/atlas_SH.py
===================================================================
--- BOL/Multi_atlas/atlas/atlas_SH.py	(revision 3737)
+++ BOL/Multi_atlas/atlas/atlas_SH.py	(revision 3743)
@@ -14,5 +14,5 @@
 #dir_default='/data/hourdin/LMDZ6/SE/ORIG'
 #dir_default='/prodigfs/fabric/LMDZ6/SE/ORIG'
-dir_default='/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG'
+#dir_default='/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG'
 
 # Gestion des options et arguments d'appel
Index: BOL/Multi_atlas/atlas/lmdz_SE.py
===================================================================
--- BOL/Multi_atlas/atlas/lmdz_SE.py	(revision 3737)
+++ BOL/Multi_atlas/atlas/lmdz_SE.py	(revision 3743)
@@ -29,5 +29,4 @@
 #########################################################################################
 grid_remapfiles={ 'VLR' : '/data/ssenesi/stable/VLR.nc'}
-#grid_remapfiles={ 'VLR' : '/prodigfs/ipslfs/dods/fabric/lmdz/SE/CMOR/OBS/tas.nc'}
 
 # Saisons gérées et leur traduction CDO
@@ -41,6 +40,5 @@
 # Definitions pour l'acces aux obs gérées par Ionela
 #########################################################################################
-#cproject('OBS', ('period','fx'),   ('root','/data/hourdin/LMDZ6/SE/CMOR/OBS'))  #, '/data/musat/LMDZ6/SE/CMOR/OBS'))
-cproject('OBS', ('period','fx'),   ('root','/prodigfs/ipslfs/dods/fabric/lmdz/SE/CMOR/OBS'))  #, '/data/musat/LMDZ6/SE/CMOR/OBS'))
+cproject('OBS', ('period','fx'),   ('root','/modfs/ipslfs/dods/aidelkad/lmdz/SE/CMOR/OBS'))  #, '/data/musat/LMDZ6/SE/CMOR/OBS'))
 dataloc(project='OBS',url='${root}/${variable}.nc')
 # Définiton de variables dérivées pour ce projet
@@ -119,6 +117,5 @@
          ('period','fx'), 
          'years',
-         #('root','/prodigfs/fabric/LMDZ6/SE/ORIG'), 
-         ('root','/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG'), 
+         ('root','/modfs/ipslfs/dods/aidelkad/lmdz/SE/ORIG'), 
          separator='|')
 #exemple de nom de fichier : NPv3.1ada_SE_1982_1991_1M_histmthCOSP.nc
@@ -260,6 +257,5 @@
 
 
-#def svsg(simulation,variable,season='YEAR',grid='',root='/data/hourdin/LMDZ6/SE/ORIG'):
-def svsg(simulation,variable,season='YEAR',grid='',root='/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG'):
+def svsg(simulation,variable,season='YEAR',grid='',root='/modfs/ipslfs/dods/aidelkad/lmdz/SE/ORIG'):
     """
     Rend l'objet CliMAF pour une variable d'une simulation, pour les  données 
@@ -298,6 +294,5 @@
     return rds
 
-#def bias_SE(simu,variable,season='YEAR',grid='',root='/data/hourdin/LMDZ6/SE/ORIG') :
-def bias_SE(simu,variable,season='YEAR',grid='',root='/prodigfs/ipslfs/dods/fabric/lmdz/SE/ORIG') :
+def bias_SE(simu,variable,season='YEAR',grid='',root='/modfs/ipslfs/dods/aidelkad/lmdz/SE/ORIG') :
     """
     Calcule le biais pour une variable d'une simu, vs 'OBS'