Index: LMDZ6/branches/Ocean_skin/libf/phylmd/cpl_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/cpl_mod.F90	(revision 3741)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/cpl_mod.F90	(revision 3744)
@@ -49,6 +49,6 @@
   !$OMP THREADPRIVATE(cpl_snow,cpl_evap,cpl_tsol)
 
-  REAL, ALLOCATABLE, SAVE:: cpl_delta_temp(:), cpl_s_int(:)
-  !$OMP THREADPRIVATE(cpl_delta_temp, cpl_s_int)
+  REAL, ALLOCATABLE, SAVE:: cpl_delta_sst(:), cpl_s_int(:)
+  !$OMP THREADPRIVATE(cpl_delta_sst, cpl_s_int)
   
   REAL, ALLOCATABLE, DIMENSION(:,:), SAVE   :: cpl_fder, cpl_albe, cpl_taux, cpl_tauy
@@ -94,6 +94,6 @@
   !$OMP THREADPRIVATE(cpl_snow2D, cpl_evap2D, cpl_tsol2D)
 
-  REAL, ALLOCATABLE, SAVE:: cpl_delta_temp_2D(:,:), cpl_s_int_2D(:,:)
-  !$OMP THREADPRIVATE(cpl_delta_temp_2D, cpl_s_int_2D)
+  REAL, ALLOCATABLE, SAVE:: cpl_delta_sst_2D(:,:), cpl_s_int_2D(:,:)
+  !$OMP THREADPRIVATE(cpl_delta_sst_2D, cpl_s_int_2D)
 
   REAL, ALLOCATABLE, DIMENSION(:,:,:), SAVE :: cpl_fder2D, cpl_albe2D
@@ -237,5 +237,5 @@
     
        if (activate_ocean_skin == 2) then
-          ALLOCATE(cpl_delta_temp(klon), cpl_s_int(klon), stat = error)
+          ALLOCATE(cpl_delta_sst(klon), cpl_s_int(klon), stat = error)
           sum_error = sum_error + error
        end if
@@ -645,6 +645,6 @@
        swdown, lwdown, fluxlat, fluxsens, &
        precip_rain, precip_snow, evap, tsurf, fder, albsol, taux, tauy, windsp,&
-       sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol, tsurf_in, &
-       sst_nff, s_int)
+       sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol, delta_sst, &
+       s_int)
 
     ! This subroutine cumulates some fields for each time-step during
@@ -672,11 +672,8 @@
     REAL, INTENT(IN):: sens_prec_liq(:), sens_prec_sol(:) ! (knon)
     REAL, DIMENSION(klon), INTENT(IN)       :: lat_prec_liq, lat_prec_sol
-    real, intent(in):: tsurf_in(:) ! (klon)
-    
-    REAL, intent(in):: sst_nff(:) ! (knon)
-    ! SST not used to compute surface fluxes, in K. If
-    ! activate_ocean_skin == 0 then it is not defined; if
-    ! activate_ocean_skin == 1 then it is the ocean-air interface
-    ! temperature; if activate_ocean_skin == 2 then it is the bulk SST.
+    
+    REAL, intent(in):: delta_sst(:) ! (knon)
+    ! Ocean-air interface temperature minus bulk SST, in
+    ! K. Defined only if activate_ocean_skin >= 1.
 
     real, intent(in):: s_int(:) ! (knon) ocean-air interface salinity, in ppt
@@ -718,5 +715,5 @@
 
        if (activate_ocean_skin == 2) then
-          cpl_delta_temp(:knon) = 0.
+          cpl_delta_sst(:knon) = 0.
           cpl_s_int = 0.
        end if
@@ -764,6 +761,5 @@
 
        if (activate_ocean_skin == 2) then
-          cpl_delta_temp(ig) = cpl_delta_temp(ig) &
-               + (tsurf_in(ig) - sst_nff(ig)) / REAL(nexca)
+          cpl_delta_sst(ig) = cpl_delta_sst(ig) + delta_sst(ig) / REAL(nexca)
           cpl_s_int(ig) = cpl_s_int(ig) + s_int(ig) / REAL(nexca)
        end if
@@ -815,5 +811,5 @@
 
           if (activate_ocean_skin == 2) then
-             ALLOCATE(cpl_delta_temp_2D(nbp_lon, jj_nb), &
+             ALLOCATE(cpl_delta_sst_2D(nbp_lon, jj_nb), &
                   cpl_s_int_2D(nbp_lon, jj_nb), stat = error)
              sum_error = sum_error + error
@@ -875,5 +871,5 @@
             CALL gath2cpl(cpl_atm_co2(:,cpl_index), cpl_atm_co22D(:,:), knon, knindex)
        if (activate_ocean_skin == 2) then
-          CALL gath2cpl(cpl_delta_temp, cpl_delta_temp_2D, knon, knindex)
+          CALL gath2cpl(cpl_delta_sst, cpl_delta_sst_2D, knon, knindex)
           CALL gath2cpl(cpl_s_int, cpl_s_int_2D, knon, knindex)
        end if
@@ -1273,5 +1269,5 @@
 
     if (activate_ocean_skin == 2) then
-       tab_flds(:, :, ids_delta_temp) = cpl_delta_temp_2D
+       tab_flds(:, :, ids_delta_sst) = cpl_delta_sst_2D
        tab_flds(:, :, ids_s_int) = cpl_s_int_2D
     end if
@@ -1512,5 +1508,5 @@
     ENDIF
 
-    if (activate_ocean_skin == 2) deallocate(cpl_delta_temp_2d, cpl_s_int_2d)
+    if (activate_ocean_skin == 2) deallocate(cpl_delta_sst_2d, cpl_s_int_2d)
 
     IF (sum_error /= 0) THEN
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/oasis.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/oasis.F90	(revision 3741)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/oasis.F90	(revision 3744)
@@ -59,5 +59,5 @@
   INTEGER, PARAMETER :: ids_qraiic = 28
   INTEGER, PARAMETER :: ids_qsnoic = 29
-  INTEGER, PARAMETER :: ids_delta_temp = 30, ids_s_int = 31
+  INTEGER, PARAMETER :: ids_delta_sst = 30, ids_s_int = 31
   
   INTEGER, PARAMETER :: maxsend    = 31  ! Maximum number of fields to send
@@ -190,6 +190,6 @@
     
     if (activate_ocean_skin == 2) then
-       infosend(ids_delta_temp)%action = .TRUE.
-       infosend(ids_delta_temp)%name = 'CODTEMP'
+       infosend(ids_delta_sst)%action = .TRUE.
+       infosend(ids_delta_sst)%name = 'CODELSST'
        infosend(ids_s_int)%action = .TRUE.
        infosend(ids_s_int)%name = 'COSSSSKN'
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/ocean_cpl_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/ocean_cpl_mod.F90	(revision 3741)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/ocean_cpl_mod.F90	(revision 3744)
@@ -55,5 +55,5 @@
        radsol, snow, agesno, &
        qsurf, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
-       tsurf_new, dflux_s, dflux_l, sens_prec_liq, sss, s_int, rhoa, sst_nff)
+       tsurf_new, dflux_s, dflux_l, sens_prec_liq, sss, s_int, rhoa, delta_sst)
 
 !
@@ -95,9 +95,7 @@
     real, intent(in):: rhoa(:) ! (knon) density of moist air  (kg / m3)
 
-    REAL, intent(in):: sst_nff(:) ! (knon)
-    ! SST not used to compute surface fluxes, in K. If
-    ! activate_ocean_skin == 0 then it is not defined; if
-    ! activate_ocean_skin == 1 then it is the ocean-air interface
-    ! temperature; if activate_ocean_skin == 2 then it is the bulk SST.
+    REAL, intent(in):: delta_sst(:) ! (knon)
+    ! Ocean-air interface temperature minus bulk SST, in K. Defined
+    ! only if activate_ocean_skin >= 1.
 
 ! In/Output arguments
@@ -217,5 +215,5 @@
          fluxsens, precip_rain, precip_snow, evap, tsurf_new, fder_new, alb1, &
          flux_u1, flux_v1, windsp, sens_prec_liq, sens_prec_sol, lat_prec_liq, &
-         lat_prec_sol, tsurf_in, sst_nff, s_int)
+         lat_prec_sol, delta_sst, s_int)
 
   END SUBROUTINE ocean_cpl_noice
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/pbl_surface_mod.F90	(revision 3741)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/pbl_surface_mod.F90	(revision 3744)
@@ -292,5 +292,5 @@
     USE print_control_mod,  ONLY : prt_level,lunout
     USE ioipsl_getin_p_mod, ONLY : getin_p
-    use phys_state_var_mod, only: s_int, ds_ns, dt_ns, sst_nff
+    use phys_state_var_mod, only: s_int, ds_ns, dt_ns, delta_sst
     use phys_output_var_mod, only: dter, dser, tkt, tks, taur, sss
 #ifdef CPP_XIOS
@@ -830,7 +830,7 @@
     ! Martin
 
-    real, DIMENSION(klon):: ysst_nff, ys_int, yds_ns, ydt_ns, ydter, ydser, &
+    real, DIMENSION(klon):: ydelta_sst, ys_int, yds_ns, ydt_ns, ydter, ydser, &
          ytkt, ytks, ytaur, ysss
-    ! compression of sst_nff, s_int, ds_ns, dt_ns, dter, dser, tkt, tks,
+    ! compression of delta_sst, s_int, ds_ns, dt_ns, dter, dser, tkt, tks,
     ! taur, sss on ocean points
 
@@ -1431,5 +1431,5 @@
           if (activate_ocean_skin == 2 .and. type_ocean == "couple") then
              ys_int(:knon) = s_int(ni(:knon))
-             ysst_nff(:knon) = sst_nff(ni(:knon))
+             ydelta_sst(:knon) = delta_sst(ni(:knon))
           end if
           
@@ -1957,5 +1957,5 @@
                yz0m, yz0h, SFRWL,yalb_dir_new, yalb_dif_new, yevap, yfluxsens,yfluxlat,&
                ytsurf_new, y_dflux_t, y_dflux_q, slab_wfbils, &
-               y_flux_u1, y_flux_v1, ysst_nff(:knon), ys_int(:knon), &
+               y_flux_u1, y_flux_v1, ydelta_sst(:knon), ys_int(:knon), &
                yds_ns(:knon), ydt_ns(:knon), ydter(:knon), ydser(:knon), &
                ytkt(:knon), ytks(:knon), ytaur(:knon), ysss)
@@ -2567,5 +2567,5 @@
           ds_ns = missing_val
           dt_ns = missing_val
-          sst_nff = missing_val
+          delta_sst = missing_val
           dter = missing_val
           dser = missing_val
@@ -2578,5 +2578,5 @@
           ds_ns(ni(:knon)) = yds_ns(:knon)
           dt_ns(ni(:knon)) = ydt_ns(:knon)
-          sst_nff(ni(:knon)) = ysst_nff(:knon)
+          delta_sst(ni(:knon)) = ydelta_sst(:knon)
           dter(ni(:knon)) = ydter(:knon)
           dser(ni(:knon)) = ydser(:knon)
@@ -3197,5 +3197,5 @@
 
     USE indice_sol_mod
-    use phys_state_var_mod, only: s_int, ds_ns, dt_ns, sst_nff
+    use phys_state_var_mod, only: s_int, ds_ns, dt_ns, delta_sst
     use config_ocean_skin_m, only: activate_ocean_skin
 
@@ -3289,5 +3289,5 @@
                            .and. type_ocean == "couple") then
                          s_int(i) = 35.
-                         sst_nff(i) = tsurf(i,nsrf)
+                         delta_sst(i) = 0.
                       end if
                       
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/phyetat0.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/phyetat0.F90	(revision 3741)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/phyetat0.F90	(revision 3744)
@@ -19,5 +19,5 @@
        wake_s, wake_dens, zgam, zmax0, zmea, zpic, zsig, &
        zstd, zthe, zval, ale_bl, ale_bl_trig, alp_bl, u10m, v10m, treedrg, &
-       ale_wake, ale_bl_stat, s_int, ds_ns, dt_ns, sst_nff
+       ale_wake, ale_bl_stat, s_int, ds_ns, dt_ns, delta_sst
 !FC
   USE geometry_mod, ONLY : longitude_deg, latitude_deg
@@ -544,6 +544,6 @@
         found = phyetat0_get(1, s_int, "S_int", &
              "salinity at air-ocean interface", 35.)
-        found = phyetat0_get(1, sst_nff, "T1", "bulk SST of coupled ocean", 0.)
-        if (.not. found) sst_nff = ftsol(:,is_oce)
+        found = phyetat0_get(1, delta_sst, "delta_SST", &
+             "ocean-air interface temperature minus bulk SST", 0.)
      end if
      
@@ -556,5 +556,5 @@
         ds_ns = missing_val
         dt_ns = missing_val
-        sst_nff = missing_val
+        delta_sst = missing_val
      end where
   end if
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/phyredem.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/phyredem.F90	(revision 3741)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/phyredem.F90	(revision 3744)
@@ -27,5 +27,5 @@
                                 ale_wake, ale_bl_stat,                       &
                                 du_gwd_rando, du_gwd_front, u10m, v10m,      &
-                                treedrg, s_int, ds_ns, dt_ns, sst_nff
+                                treedrg, s_int, ds_ns, dt_ns, delta_sst
   USE geometry_mod, ONLY : longitude_deg, latitude_deg
   USE iostart, ONLY: open_restartphy, close_restartphy, enddef_restartphy, put_field, put_var
@@ -345,5 +345,6 @@
           CALL put_field(pass, "S_int", "salinity at air-ocean interface", &
                s_int)
-          CALL put_field(pass, "T1", "bulk SST of coupled ocean", sst_nff)
+          CALL put_field(pass, "delta_SST", &
+               "ocean-air interface temperature minus bulk SST", delta_sst)
        end if
        
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3741)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3744)
@@ -1947,7 +1947,7 @@
 #endif
 
-   type(ctrl_out), save:: o_sst_nff &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'SST_nff', &
-        "SST not used to compute fluxes", "K", '')
+   type(ctrl_out), save:: o_delta_sst &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'delta_sst', &
+        "ocean-air interface temperature minus bulk SST", "K", '')
 
    type(ctrl_out), save:: o_s_int &
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_write_mod.F90	(revision 3741)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_write_mod.F90	(revision 3744)
@@ -202,5 +202,5 @@
 !--interactive CO2
          o_flx_co2_ocean, o_flx_co2_land, o_flx_co2_ff, o_flx_co2_bb, &
-         o_sst_nff, o_s_int, o_ds_ns, o_dt_ns, o_dter, o_dser, o_tkt, o_tks, &
+         o_delta_sst, o_s_int, o_ds_ns, o_dt_ns, o_dter, o_dser, o_tkt, o_tks, &
          o_taur, o_sss
 
@@ -250,5 +250,5 @@
          rhlevSTD, O3STD, O3daySTD, uvSTD, vqSTD, vTSTD, wqSTD, vphiSTD, &
          wTSTD, u2STD, v2STD, T2STD, missing_val_nf90, s_int, ds_ns, dt_ns, &
-         sst_nff
+         delta_sst
 
     USE phys_local_var_mod, ONLY: zxfluxlat, slp, ptstar, pt0, zxtsol, zt2m, &
@@ -2305,5 +2305,5 @@
 
        if (activate_ocean_skin >= 1) then
-          CALL histwrite_phy(o_sst_nff, sst_nff)
+          CALL histwrite_phy(o_delta_sst, delta_sst)
           CALL histwrite_phy(o_s_int, s_int)
           CALL histwrite_phy(o_ds_ns, ds_ns)
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/phys_state_var_mod.F90	(revision 3741)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/phys_state_var_mod.F90	(revision 3744)
@@ -434,21 +434,19 @@
       REAL, ALLOCATABLE, SAVE:: s_int(:) ! interface salinity, in ppt
       
-      REAL, ALLOCATABLE, SAVE:: ds_ns(:)
+      REAL, ALLOCATABLE, SAVE:: ds_ns(:) ! (klon)
       ! "delta salinity near surface". Salinity variation in the
       ! near-surface turbulent layer. That is subskin salinity minus
       ! foundation salinity. In ppt.
 
-      REAL, ALLOCATABLE, SAVE:: dt_ns(:)
+      REAL, ALLOCATABLE, SAVE:: dt_ns(:) ! (klon)
       ! "delta temperature near surface". Temperature variation in the
       ! near-surface turbulent layer. That is subskin temperature
       ! minus foundation temperature. (Can be negative.) In K.
       
-      REAL, ALLOCATABLE, SAVE:: sst_nff(:)
-      ! SST not used to compute surface fluxes, in K. If
-      ! activate_ocean_skin == 0 then it is not allocated; if
-      ! activate_ocean_skin == 1 then it is the ocean-air interface
-      ! temperature; if activate_ocean_skin == 2 then it is the bulk SST.
-
-      !$OMP THREADPRIVATE(s_int, ds_ns, dt_ns, sst_nff)
+      REAL, ALLOCATABLE, SAVE:: delta_sst(:) ! (klon)
+      ! Ocean-air interface temperature minus bulk SST, in
+      ! K. Allocated and defined only if activate_ocean_skin >= 1.
+
+      !$OMP THREADPRIVATE(s_int, ds_ns, dt_ns, delta_sst)
 
     CONTAINS
@@ -659,5 +657,5 @@
       ENDIF
       if (activate_ocean_skin >= 1) ALLOCATE(s_int(klon), ds_ns(klon), &
-           dt_ns(klon), sst_nff(klon))
+           dt_ns(klon), delta_sst(klon))
 
     END SUBROUTINE phys_state_var_init
@@ -797,5 +795,5 @@
 !!! fin nrlmd le 10/04/2012
 
-      if (activate_ocean_skin >= 1) deALLOCATE(s_int, ds_ns, dt_ns, sst_nff)
+      if (activate_ocean_skin >= 1) deALLOCATE(s_int, ds_ns, dt_ns, delta_sst)
 
       is_initialized=.FALSE.
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/surf_ocean_mod.F90	(revision 3741)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/surf_ocean_mod.F90	(revision 3744)
@@ -20,5 +20,5 @@
        z0m, z0h, SFRWL, alb_dir_new, alb_dif_new, evap, fluxsens, fluxlat, & 
        tsurf_new, dflux_s, dflux_l, lmt_bils, &
-       flux_u1, flux_v1, sst_nff, s_int, ds_ns, dt_ns, dter, dser, tkt, tks, &
+       flux_u1, flux_v1, delta_sst, s_int, ds_ns, dt_ns, dter, dser, tkt, tks, &
        taur, sss)
 
@@ -88,9 +88,7 @@
     ! minus foundation temperature. (Can be negative.) In K.
 
-    REAL, intent(inout):: sst_nff(:) ! (knon)
-    ! SST not used to compute surface fluxes, in K. If
-    ! activate_ocean_skin == 0 then it is not defined; if
-    ! activate_ocean_skin == 1 then it is the ocean-air interface
-    ! temperature; if activate_ocean_skin == 2 then it is the bulk SST.
+    REAL, intent(inout):: delta_sst(:) ! (knon)
+    ! Ocean-air interface temperature minus bulk SST, in K. Defined
+    ! only if activate_ocean_skin >= 1.
 
     ! Output variables
@@ -191,5 +189,5 @@
             qsurf, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
             tsurf_new, dflux_s, dflux_l, sens_prec_liq, sss, s_int, rhoa, &
-            sst_nff)
+            delta_sst)
 
     CASE('slab')
@@ -328,12 +326,6 @@
             xlv = [(rlvtt, i = 1, knon)], rf = - sens_prec_liq, dtime = dtime, &
             rns = swnet(:knon))
-
-       if (activate_ocean_skin == 1) then
-          sst_nff = t_int
-       else
-          ! activate_ocean_skin == 2
-          sst_nff = tsurf_new(:knon)
-          tsurf_new(:knon) = t_int
-       end if
+       delta_sst = t_int - tsurf_new(:knon)
+       if (activate_ocean_skin >= 2) tsurf_new(:knon) = t_int
     end if
     