Index: LMDZ6/branches/LMDZ-INCA-Dyn/libf/phy_common/mod_phys_lmdz_mpi_data.F90
===================================================================
--- LMDZ6/branches/LMDZ-INCA-Dyn/libf/phy_common/mod_phys_lmdz_mpi_data.F90	(revision 3840)
+++ LMDZ6/branches/LMDZ-INCA-Dyn/libf/phy_common/mod_phys_lmdz_mpi_data.F90	(revision 3841)
@@ -46,7 +46,7 @@
 CONTAINS
   
-  SUBROUTINE init_phys_lmdz_mpi_data(nbp, nbp_lon, nbp_lat, nbp_lev, communicator)
-
-    USE infotrac, ONLY: type_trac
+  SUBROUTINE init_phys_lmdz_mpi_data(nbp, nbp_lon, nbp_lat, nbp_lev, grid_type, nvertex, communicator)
+
+!    USE infotrac, ONLY: type_trac
 
   IMPLICIT NONE
@@ -59,4 +59,6 @@
     INTEGER,INTENT(IN) :: nbp_lev
     INTEGER,INTENT(IN) :: communicator
+    INTEGER,INTENT(IN) :: grid_type 
+    INTEGER,INTENT(IN) :: nvertex 
     
     INTEGER,ALLOCATABLE :: distrib(:)
@@ -184,11 +186,11 @@
     CALL Print_module_data
 
-    IF (type_trac == 'inca') THEN
+!    IF (type_trac == 'inca') THEN
 #ifdef INCA
        CALL init_inca_para( &
             nbp_lon,nbp_lat,nbp_lev,klon_glo,mpi_size, &
-            distrib,communicator)
-#endif
-    ENDIF
+            distrib,nvertex, grid_type,communicator)
+#endif
+!    ENDIF
     
   END SUBROUTINE Init_phys_lmdz_mpi_data
Index: LMDZ6/branches/LMDZ-INCA-Dyn/libf/phy_common/mod_phys_lmdz_para.F90
===================================================================
--- LMDZ6/branches/LMDZ-INCA-Dyn/libf/phy_common/mod_phys_lmdz_para.F90	(revision 3840)
+++ LMDZ6/branches/LMDZ-INCA-Dyn/libf/phy_common/mod_phys_lmdz_para.F90	(revision 3841)
@@ -17,5 +17,5 @@
 CONTAINS
 
-  SUBROUTINE Init_phys_lmdz_para(nbp,nbp_lon,nbp_lat,nbp_lev,communicator)
+  SUBROUTINE Init_phys_lmdz_para(nbp,nbp_lon,nbp_lat,nbp_lev,grid_type, nvertex,communicator)
   IMPLICIT NONE
     INTEGER,INTENT(in) :: nbp
@@ -24,6 +24,8 @@
     INTEGER,INTENT(in) :: nbp_lev
     INTEGER,INTENT(in) :: communicator
+    INTEGER,INTENT(IN) :: grid_type 
+    INTEGER,INTENT(IN) :: nvertex 
 
-    CALL Init_phys_lmdz_mpi_data(nbp,nbp_lon,nbp_lat,nbp_lev,communicator)
+    CALL Init_phys_lmdz_mpi_data(nbp,nbp_lon,nbp_lat,nbp_lev, grid_type, nvertex,communicator)
 !$OMP PARALLEL
     CALL Init_phys_lmdz_omp_data(klon_mpi)
Index: LMDZ6/branches/LMDZ-INCA-Dyn/libf/phy_common/physics_distribution_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ-INCA-Dyn/libf/phy_common/physics_distribution_mod.F90	(revision 3840)
+++ LMDZ6/branches/LMDZ-INCA-Dyn/libf/phy_common/physics_distribution_mod.F90	(revision 3841)
@@ -13,7 +13,5 @@
   USE mod_grid_phy_lmdz, ONLY: init_grid_phy_lmdz
   USE dimphy, ONLY : Init_dimphy
-! attention a modifier, on ne peut pas garder infotrac depuis la physique
-! bug avec le couplage dynamico 
-  USE infotrac, ONLY : type_trac
+!  USE infotrac, ONLY : type_trac
 #ifdef REPROBUS
   USE CHEM_REP, ONLY : Init_chem_rep_phys
@@ -31,19 +29,19 @@
 
     CALL init_grid_phy_lmdz(grid_type,nvertex, nbp_lon,nbp_lat,nbp_lev)
-    CALL init_phys_lmdz_para(nbp,nbp_lon, nbp_lat,nbp_lev, communicator)
+    CALL init_phys_lmdz_para(nbp,nbp_lon, nbp_lat,nbp_lev, grid_type,nvertex, communicator)
 !$OMP PARALLEL
     CALL init_dimphy(klon_omp,nbp_lev)
 
 ! Initialization of Reprobus
-    IF (type_trac == 'repr') THEN
+!    IF (type_trac == 'repr') THEN
 #ifdef REPROBUS
        CALL Init_chem_rep_phys(klon_omp,nbp_lev)
 #endif
-    END IF
-    IF (type_trac == 'inca') THEN
+!    END IF
+!    IF (type_trac == 'inca') THEN
 #ifdef INCA
        CALL Init_inca_dim(klon_omp,nbp_lev)
 #endif
-    END IF
+!    END IF
 
 !$OMP END PARALLEL
Index: LMDZ6/branches/LMDZ-INCA-Dyn/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ-INCA-Dyn/libf/phylmd/physiq_mod.F90	(revision 3840)
+++ LMDZ6/branches/LMDZ-INCA-Dyn/libf/phylmd/physiq_mod.F90	(revision 3841)
@@ -42,5 +42,5 @@
     USE iophy
     USE limit_read_mod, ONLY : init_limit_read
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev, klon_glo, grid1dTo2d_glo, grid_type, unstructured
+    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev, klon_glo, grid1dTo2d_glo, grid_type, unstructured, nvertex
     USE mod_phys_lmdz_mpi_data, only: is_mpi_root
     USE mod_phys_lmdz_para
@@ -1948,4 +1948,10 @@
           ndays, nbsrf, is_oce,is_sic, is_ter,is_lic, calend, &
           config_inca)
+
+          CALL init_inca_geometry( & 
+               longitude, latitude, &
+               boundslon, boundslat, &
+               dx, dy, cell_area, ind_cell_glo) 
+          
 
 
@@ -5281,4 +5287,13 @@
 #ifdef CPP_XIOS
        IF (is_omp_master) CALL xios_context_finalize
+#ifdef INCA
+       IF (is_omp_master) THEN 
+
+          CALL finalize_inca
+
+
+       ENDIF
+#endif
+
 #endif
        WRITE(lunout,*) ' physiq fin, nombre de steps ou cvpas = 1 : ', Ncvpaseq1